summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Mario Antunes2013-02-11 21:47:30 +0100
committer Erik Hanson2013-02-14 07:26:56 +0100
commit25f372eac2fff91fd3cd40c7579c74cfdd293285 (patch)
tree714aee5da8bc749d759965175b13e9a8627914aa /office
parentc14df07dd2ea428d957c2cc495d377c36669df5a (diff)
downloadslackbuilds-25f372eac2fff91fd3cd40c7579c74cfdd293285.tar.gz
office/JabRef: Added (Reference Manager)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/JabRef/JabRef.SlackBuild68
-rw-r--r--office/JabRef/JabRef.desktop9
-rw-r--r--office/JabRef/JabRef.info10
-rw-r--r--office/JabRef/JabRef.pngbin0 -> 8831 bytes
-rw-r--r--office/JabRef/README12
-rw-r--r--office/JabRef/doinst.sh13
-rw-r--r--office/JabRef/slack-desc19
7 files changed, 131 insertions, 0 deletions
diff --git a/office/JabRef/JabRef.SlackBuild b/office/JabRef/JabRef.SlackBuild
new file mode 100644
index 0000000000..550a2fd50e
--- /dev/null
+++ b/office/JabRef/JabRef.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for JabRef
+
+# Copyright (c) 2008-2010, Antonio Hernández Blas <hba.nihilismus@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Update by: Andre Barboza <bmg.andre@gmail.com>
+
+# This script is just a binary repackaging.
+
+PRGNAM=JabRef
+VERSION=2.9.2
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=${ARCH:-noarch}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/opt/$PRGNAM $OUTPUT
+install -D -m 0644 $CWD/$PRGNAM-$VERSION.jar $PKG/opt/$PRGNAM/$PRGNAM-$VERSION.jar
+
+mkdir -p $PKG/usr/bin
+cat << EOF > $PKG/usr/bin/$PRGNAM
+#!/bin/bash
+cd \$HOME
+java -jar /opt/$PRGNAM/$PRGNAM-$VERSION.jar \$@
+EOF
+chmod 0755 $PKG/usr/bin/$PRGNAM
+
+cd $PKG/opt/$PRGNAM
+
+install -D -m 0644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+install -D -m 0644 $CWD/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/JabRef/JabRef.desktop b/office/JabRef/JabRef.desktop
new file mode 100644
index 0000000000..6ffd2566bb
--- /dev/null
+++ b/office/JabRef/JabRef.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Type=Application
+Exec=JabRef
+Name=JabRef
+GenericName=JabRef
+Comment=JabRef
+Icon=JabRef
+StartupNotify=true
+Categories=Office;
diff --git a/office/JabRef/JabRef.info b/office/JabRef/JabRef.info
new file mode 100644
index 0000000000..4afb69f68e
--- /dev/null
+++ b/office/JabRef/JabRef.info
@@ -0,0 +1,10 @@
+PRGNAM="JabRef"
+VERSION="2.9.2"
+HOMEPAGE="http://jabref.sourceforge.net/"
+DOWNLOAD="downloads.sourceforge.net/project/jabref/jabref/2.9.2/JabRef-2.9.2.jar"
+MD5SUM="62575e9f6921c904fe8c2e4be2a34081"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Mario Antunes"
+EMAIL="mariolpantunes@gmail.com"
diff --git a/office/JabRef/JabRef.png b/office/JabRef/JabRef.png
new file mode 100644
index 0000000000..2a671b98de
--- /dev/null
+++ b/office/JabRef/JabRef.png
Binary files differ
diff --git a/office/JabRef/README b/office/JabRef/README
new file mode 100644
index 0000000000..8e01ca899d
--- /dev/null
+++ b/office/JabRef/README
@@ -0,0 +1,12 @@
+JabRef is an open source bibliography reference manager.
+The native file format used by JabRef is BibTeX, the
+standard LaTeX bibliography format.b JabRef runs on the
+Java VM (version 1.6 or newer), and should work equally
+well on Windows, Linux and Mac OS X.
+
+BibTeX is an application and a bibliography file format
+written by Oren Patashnik and Leslie Lamport for the LaTeX
+document preparation system. Bibliographies generated by
+LaTeX and BibTeX from a BibTeX file can be formatted to suit
+any reference list specifications through the use of different
+BibTeX style files.
diff --git a/office/JabRef/doinst.sh b/office/JabRef/doinst.sh
new file mode 100644
index 0000000000..066a16fb14
--- /dev/null
+++ b/office/JabRef/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/office/JabRef/slack-desc b/office/JabRef/slack-desc
new file mode 100644
index 0000000000..3cbd76c529
--- /dev/null
+++ b/office/JabRef/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+JabRef: JabRef (Reference Manager)
+JabRef:
+JabRef: JabRef is an open source bibliography reference manager. The native
+JabRef: file format used by JabRef is BibTeX, the standard LaTeX bibliography
+JabRef: format.b JabRef runs on the Java VM (version 1.6 or newer), and
+JabRef: should work equally well on Windows, Linux and Mac OS X.
+JabRef:
+JabRef:
+JabRef:
+JabRef:
+JabRef: